

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    
    <title>TwitterAuth &mdash; pywws v12.10 documentation</title>
    <link rel="stylesheet" href="../_static/default.css" type="text/css" />
    <link rel="stylesheet" href="../_static/pygments.css" type="text/css" />
    <script type="text/javascript">
      var DOCUMENTATION_OPTIONS = {
        URL_ROOT:    '../',
        VERSION:     '12.10',
        COLLAPSE_INDEX: false,
        FILE_SUFFIX: '.html',
        HAS_SOURCE:  true
      };
    </script>
    <script type="text/javascript" src="../_static/jquery.js"></script>
    <script type="text/javascript" src="../_static/underscore.js"></script>
    <script type="text/javascript" src="../_static/doctools.js"></script>
    <link rel="shortcut icon" href="../_static/pywws_logo.ico"/>
    <link rel="top" title="pywws v12.10 documentation" href="../index.html" />
    <link rel="up" title="Python programs and modules" href="index.html" />
    <link rel="next" title="SetWeatherStation" href="SetWeatherStation.html" />
    <link rel="prev" title="Reprocess" href="Reprocess.html" /> 
  </head>
  <body>
    <div class="related">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../genindex.html" title="General Index"
             accesskey="I">index</a></li>
        <li class="right" >
          <a href="../py-modindex.html" title="Python Module Index"
             >modules</a> |</li>
        <li class="right" >
          <a href="SetWeatherStation.html" title="SetWeatherStation"
             accesskey="N">next</a> |</li>
        <li class="right" >
          <a href="Reprocess.html" title="Reprocess"
             accesskey="P">previous</a> |</li>
        <li><a href="../index.html">pywws v12.10 documentation</a> &raquo;</li>
          <li><a href="index.html" accesskey="U">Python programs and modules</a> &raquo;</li> 
      </ul>
    </div>  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body">
            
  <div class="section" id="module-TwitterAuth">
<span id="twitterauth"></span><h1>TwitterAuth<a class="headerlink" href="#module-TwitterAuth" title="Permalink to this headline">¶</a></h1>
<p>Authorise pywws to post to your Twitter account</p>
<div class="highlight-python"><pre>usage: python TwitterAuth.py [options] data_dir
options are:
 -h or --help       display this help
data_dir is the root directory of the weather data</pre>
</div>
<p>This program authorises <a class="reference internal" href="pywws.ToTwitter.html#module-pywws.ToTwitter"><tt class="xref py py-mod docutils literal"><span class="pre">pywws.ToTwitter</span></tt></a> to post to a Twitter
account. You need to create an account before running
<a class="reference internal" href="#module-TwitterAuth"><tt class="xref py py-mod docutils literal"><span class="pre">TwitterAuth</span></tt></a>. It opens a web browser window (or gives you a
URL to copy to your web browser) where you log in to your Twitter
account. If the login is successful the browser will display a 7 digit
number which you then copy to <a class="reference internal" href="#module-TwitterAuth"><tt class="xref py py-mod docutils literal"><span class="pre">TwitterAuth</span></tt></a>.</p>
<p>See <a class="reference internal" href="../guides/twitter.html"><em>How to configure pywws to post messages to Twitter</em></a> for more detail on using Twitter with
pywws.</p>
<p class="rubric">Functions</p>
<table border="1" class="docutils">
<colgroup>
<col width="10%" />
<col width="90%" />
</colgroup>
<tbody valign="top">
<tr><td><a class="reference internal" href="#TwitterAuth.TwitterAuth" title="TwitterAuth.TwitterAuth"><tt class="xref py py-obj docutils literal"><span class="pre">TwitterAuth</span></tt></a>(params)</td>
<td></td>
</tr>
<tr><td><a class="reference internal" href="#TwitterAuth.main" title="TwitterAuth.main"><tt class="xref py py-obj docutils literal"><span class="pre">main</span></tt></a>([argv])</td>
<td></td>
</tr>
</tbody>
</table>
<dl class="function">
<dt id="TwitterAuth.TwitterAuth">
<tt class="descclassname">TwitterAuth.</tt><tt class="descname">TwitterAuth</tt><big>(</big><em>params</em><big>)</big><a class="reference internal" href="../_modules/TwitterAuth.html#TwitterAuth"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#TwitterAuth.TwitterAuth" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="function">
<dt id="TwitterAuth.main">
<tt class="descclassname">TwitterAuth.</tt><tt class="descname">main</tt><big>(</big><em>argv=None</em><big>)</big><a class="reference internal" href="../_modules/TwitterAuth.html#main"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#TwitterAuth.main" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</div>


          </div>
        </div>
      </div>
      <div class="sphinxsidebar">
        <div class="sphinxsidebarwrapper">
  <h4>Previous topic</h4>
  <p class="topless"><a href="Reprocess.html"
                        title="previous chapter">Reprocess</a></p>
  <h4>Next topic</h4>
  <p class="topless"><a href="SetWeatherStation.html"
                        title="next chapter">SetWeatherStation</a></p>
<div id="searchbox" style="display: none">
  <h3>Quick search</h3>
    <form class="search" action="../search.html" method="get">
      <input type="text" name="q" size="18" />
      <input type="submit" value="Go" />
      <input type="hidden" name="check_keywords" value="yes" />
      <input type="hidden" name="area" value="default" />
    </form>
    <p class="searchtip" style="font-size: 90%">
    Enter search terms or a module, class or function name.
    </p>
</div>
<script type="text/javascript">$('#searchbox').show(0);</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="related">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../genindex.html" title="General Index"
             >index</a></li>
        <li class="right" >
          <a href="../py-modindex.html" title="Python Module Index"
             >modules</a> |</li>
        <li class="right" >
          <a href="SetWeatherStation.html" title="SetWeatherStation"
             >next</a> |</li>
        <li class="right" >
          <a href="Reprocess.html" title="Reprocess"
             >previous</a> |</li>
        <li><a href="../index.html">pywws v12.10 documentation</a> &raquo;</li>
          <li><a href="index.html" >Python programs and modules</a> &raquo;</li> 
      </ul>
    </div>
    <div class="footer">
        &copy; Copyright 2009-12, Jim Easterbrook.
      Created using <a href="http://sphinx.pocoo.org/">Sphinx</a> 1.0.1.
    </div>
  </body>
</html>